function [predict_label,accuracy,dec_values]=Do_Classification(histogram,dataset_param)

trainset=cell2mat(struct2cell(dataset_param.trainset));
testset=cell2mat(struct2cell(dataset_param.testset));
labels=cell2mat(struct2cell(dataset_param.labels));

traindata=histogram(:,trainset>0);
testdata=histogram(:,testset>0);

%%%%% train and test Ground-truth 
[max1,labels_index]=max(labels,[],2);
train_truth=labels_index(trainset>0);
test_truth=labels_index(testset>0);
options='-t 4 -s 0 -b 1 -c 1';
model=svmtrain(train_truth,traindata',options);
[predict_label, accuracy , dec_values] = svmpredict(test_truth,testdata', model,'-b 1');
