function Pcw=Do_PCW(dataset_param,histogram)
%%      This function computes the Probabily of a class given a visual word. 


labels=cell2mat(struct2cell(dataset_param.labels));
trainset=cell2mat(struct2cell(dataset_param.trainset));
nclasses=dataset_param.nclasses;
Num_features=size(histogram,1);

% Compute Probability
Pcw=zeros(Num_features,nclasses);

for j=1:size(labels,2) 
    Pcw(:,j)=sum(histogram(:,(trainset.*(labels(:,j)==1))>0),2);        % Computed over training images                  
end

Pcw=normalize(Pcw,2);                                                   % Normalize the probabilities